Loading...
Searching...
No Matches
terminal.hpp File Reference

Checks if program is run interactively and retrieves dimensions of terminal (Transferred from seqan2). More...

`#include <sys/ioctl.h>`
`#include <cstdio>`
`#include <unistd.h>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for terminal.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Checks if program is run interactively and retrieves dimensions of terminal (Transferred from seqan2).

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me